/*! destyle.css v1.0.13 | MIT License | https://github.com/nicolas-cusan/destyle.css */
/* Reset box-model
   ========================================================================== */
* {
  box-sizing: border-box;
}

::before,
::after {
  box-sizing: inherit;
}

/* Document
   ========================================================================== */
/**
 * 1. Correct the line height in all browsers.
 * 2. Prevent adjustments of font size after orientation changes in iOS.
 * 3. Remove gray overlay on links for iOS.
 */
html {
  line-height: 1.15; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
  -webkit-tap-highlight-color: transparent; /* 3*/
}

/* Sections
   ========================================================================== */
/**
 * Remove the margin in all browsers.
 */
body {
  margin: 0;
}

/**
 * Render the `main` element consistently in IE.
 */
main {
  display: block;
}

/* Vertical rhythm
   ========================================================================== */
p,
table,
blockquote,
address,
pre,
iframe,
form,
figure,
dl {
  margin: 0;
}

/* Headings
   ========================================================================== */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  line-height: inherit;
  font-weight: inherit;
  margin: 0;
}

/* Lists (enumeration)
   ========================================================================== */
ul,
ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

/* Lists (definition)
   ========================================================================== */
dt {
  font-weight: bold;
}

dd {
  margin-left: 0;
}

/* Grouping content
   ========================================================================== */
/**
 * 1. Add the correct box sizing in Firefox.
 * 2. Show the overflow in Edge and IE.
 */
hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
  border: 0;
  border-top: 1px solid;
  margin: 0;
  clear: both;
  color: inherit;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
pre {
  font-family: monospace, monospace; /* 1 */
  font-size: inherit; /* 2 */
}

address {
  font-style: inherit;
}

/* Text-level semantics
   ========================================================================== */
/**
 * Remove the gray background on active links in IE 10.
 */
a {
  background-color: transparent;
  text-decoration: none;
  color: inherit;
}

/**
 * 1. Remove the bottom border in Chrome 57-
 * 2. Add the correct text decoration in Chrome, Edge, IE, Opera, and Safari.
 */
abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}

/**
 * Add the correct font weight in Chrome, Edge, and Safari.
 */
b,
strong {
  font-weight: bolder;
}

/**
 * 1. Correct the inheritance and scaling of font size in all browsers.
 * 2. Correct the odd `em` font sizing in all browsers.
 */
code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: inherit; /* 2 */
}

/**
 * Add the correct font size in all browsers.
 */
small {
  font-size: 80%;
}

/**
 * Prevent `sub` and `sup` elements from affecting the line height in
 * all browsers.
 */
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/* Embedded content
   ========================================================================== */
/**
 * Remove the border on images inside links in IE 10.
 */
img {
  border-style: none;
  vertical-align: bottom;
}

embed,
object,
iframe {
  border: 0;
  vertical-align: bottom;
}

/* Forms
   ========================================================================== */
/**
 * Reset form fields to make them styleable
 * 1. Reset radio and checkbox to preserve their look in iOS.
 */
button,
input,
optgroup,
select,
textarea {
  -moz-appearance: none;
       appearance: none;
  vertical-align: middle;
  color: inherit;
  font: inherit;
  border: 0;
  background: transparent;
  padding: 0;
  margin: 0;
  outline: 0;
  border-radius: 0;
  text-align: inherit;
}

[type=checkbox] {
  /* 1 */
  appearance: checkbox;
}

[type=radio] {
  /* 1 */
  appearance: radio;
}

/**
 * Show the overflow in IE.
 * 1. Show the overflow in Edge.
 */
button,
input {
  /* 1 */
  overflow: visible;
}

/**
 * Remove the inheritance of text transform in Edge, Firefox, and IE.
 * 1. Remove the inheritance of text transform in Firefox.
 */
button,
select {
  /* 1 */
  text-transform: none;
}

/**
 * Correct the inability to style clickable types in iOS and Safari.
 */
button,
[type=button],
[type=reset],
[type=submit] {
  cursor: pointer;
  -moz-appearance: none;
       appearance: none;
}

button[disabled],
[type=button][disabled],
[type=reset][disabled],
[type=submit][disabled] {
  cursor: default;
}

/**
 * Remove the inner border and padding in Firefox.
 */
button::-moz-focus-inner,
[type=button]::-moz-focus-inner,
[type=reset]::-moz-focus-inner,
[type=submit]::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

/**
 * Restore the focus styles unset by the previous rule.
 */
button:-moz-focusring,
[type=button]:-moz-focusring,
[type=reset]:-moz-focusring,
[type=submit]:-moz-focusring {
  outline: 1px dotted ButtonText;
}

/**
 * Remove padding
 */
option {
  padding: 0;
}

/**
 * Reset to invisible
 */
fieldset {
  margin: 0;
  padding: 0;
  border: 0;
  min-width: 0;
}

/**
 * 1. Correct the text wrapping in Edge and IE.
 * 2. Correct the color inheritance from `fieldset` elements in IE.
 * 3. Remove the padding so developers are not caught out when they zero out
 *    `fieldset` elements in all browsers.
 */
legend {
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}

/**
 * Add the correct vertical alignment in Chrome, Firefox, and Opera.
 */
progress {
  vertical-align: baseline;
}

/**
 * Remove the default vertical scrollbar in IE 10+.
 */
textarea {
  overflow: auto;
}

/**
 * 1. Remove the padding in IE 10.
 */
[type=checkbox],
[type=radio] {
  padding: 0; /* 1 */
}

/**
 * Correct the cursor style of increment and decrement buttons in Chrome.
 */
[type=number]::-webkit-inner-spin-button,
[type=number]::-webkit-outer-spin-button {
  height: auto;
}

/**
 * 1. Correct the outline style in Safari.
 */
[type=search] {
  outline-offset: -2px; /* 1 */
}

/**
 * Remove the inner padding in Chrome and Safari on macOS.
 */
[type=search]::-webkit-search-decoration {
  -webkit-appearance: none;
}

/**
 * 1. Correct the inability to style clickable types in iOS and Safari.
 * 2. Change font properties to `inherit` in Safari.
 */
::-webkit-file-upload-button {
  -webkit-appearance: button; /* 1 */
  font: inherit; /* 2 */
}

/**
 * Clickable labels
 */
label[for] {
  cursor: pointer;
}

/* Interactive
   ========================================================================== */
/*
 * Add the correct display in Edge, IE 10+, and Firefox.
 */
details {
  display: block;
}

/*
 * Add the correct display in all browsers.
 */
summary {
  display: list-item;
}

/* Table
   ========================================================================== */
table {
  border-collapse: collapse;
  border-spacing: 0;
}

caption {
  text-align: left;
}

td,
th {
  vertical-align: top;
  padding: 0;
}

th {
  text-align: left;
  font-weight: bold;
}

/* Misc
   ========================================================================== */
/**
 * Add the correct display in IE 10+.
 */
template {
  display: none;
}

/**
 * Add the correct display in IE 10.
 */
[hidden] {
  display: none;
}

/*img reset*/
img {
  max-width: 100%;
  display: inline-block;
  vertical-align: bottom;
}

* {
  box-sizing: border-box;
}

ul, ol {
  list-style: none;
}

body {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
}

em.langJa,
em.langEn,
em.langChk,
em.langChh,
em.langKo,
i.langJa,
i.langEn,
i.langChk,
i.langChh,
i.langKo {
  display: none;
}

html[lang=ja] em.langJa, html[lang=ja] i.langJa {
  display: inline !important;
}
html[lang=ja] .shopInfoPanel__name em.langJa {
  display: inline-block !important;
}

html[lang=en] em.langEn, html[lang=en] i.langEn {
  display: inline !important;
}
html[lang=en] .shopInfoPanel__name em.langEn {
  display: inline-block !important;
}

html[lang=zh-cmn-Hans] em.langChk, html[lang=zh-cmn-Hans] i.langChk {
  display: inline !important;
}
html[lang=zh-cmn-Hans] .shopInfoPanel__name em.langChk {
  display: inline-block !important;
}

html[lang=zh-cmn-Hant] em.langChh, html[lang=zh-cmn-Hant] i.langChh {
  display: inline !important;
}
html[lang=zh-cmn-Hant] .shopInfoPanel__name em.langChh {
  display: inline-block !important;
}

html[lang=ko] em.langKo, html[lang=ko] i.langKo {
  display: inline !important;
}
html[lang=ko] .shopInfoPanel__name em.langKo {
  display: inline-block !important;
}

em {
  font-style: normal;
}

html, body {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #000;
  overflow: hidden;
}

@keyframes awa {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes loading {
  0%, 100% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
}
.title {
  position: absolute;
  width: 1920px;
  height: 1080px;
  translate: -50% -50%;
  left: 50%;
  top: 50%;
  z-index: 21000;
  pointer-events: none;
  overflow: hidden;
  transform-origin: center center;
  background: url(../img/load_bg.jpg) no-repeat center center;
}
.title h1 {
  position: absolute;
  width: 1595px;
  height: 1053px;
  left: 176.5px;
  top: -69px;
}
.title .awa {
  position: absolute;
  width: 223px;
  height: 643px;
  opacity: 0;
}
.title .awa:nth-child(1) {
  left: 182px;
  top: -167px;
  animation: awa 1.5s ease-in-out 1s infinite;
}
.title .awa:nth-child(2) {
  left: 337px;
  top: 303px;
  animation: awa 1.5s ease-in-out 2s infinite;
}
.title .awa:nth-child(3) {
  left: 1452px;
  top: 303px;
  animation: awa 1.5s ease-in-out 1.5s infinite;
}
.title .awa:nth-child(4) {
  left: 1697px;
  top: 237px;
  animation: awa 1.5s ease-in-out 0.5s infinite;
}
.title span {
  position: absolute;
  width: 323px;
  height: 37px;
  left: 834px;
  top: 887px;
  background: url(../img/loading_txt.png) no-repeat center center;
  animation: loading 2s ease-in-out infinite;
}
.title.fade {
  scale: 1.2;
  opacity: 0;
  transition: opacity 0.8s ease-in 0.4s, scale 0.8s ease-in-out 0.4s;
}
.title.fade h1 {
  opacity: 0;
  scale: 1.1;
  transition: opacity 0.5s ease-in, scale 0.5s ease-in-out;
}
.title.fade span {
  animation: none;
  opacity: 0;
  transition: opacity 0.3s ease-in;
}

.container {
  position: absolute;
  width: 1920px;
  height: 1080px;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
}

.ground {
  position: absolute;
  width: 1920px;
  height: 1080px;
  left: 0;
  top: 0;
  z-index: 1;
  pointer-events: none;
  background: url(../img/sea_bg.png) no-repeat center center;
}
.ground:after {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  content: "";
  background: url("../img/ground.png") no-repeat center bottom;
}

.caption {
  border-radius: 20px;
  border: 8px solid #0084ff;
  background: rgba(255, 255, 255, 0.85);
  width: 1189px;
  height: 119px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: center;
      justify-content: center;
  -ms-flex-align: center;
      align-items: center;
  position: absolute;
  translate: -50% 21px;
  left: 50%;
  top: 0;
  z-index: 2;
  pointer-events: none;
  transition: translate 0.8s cubic-bezier(0.461, 0.022, 0.267, 0.997) 0.5s, top 0.8s cubic-bezier(0.461, 0.022, 0.267, 0.997) 0.5s, scale 0.5s linear(0, 0.402 7.4%, 0.711 15.3%, 0.929 23.7%, 1.008 28.2%, 1.067 33%, 1.099 36.9%, 1.12 41%, 1.13 45.4%, 1.13 50.1%, 1.111 58.5%, 1.019 83.2%, 1.004 91.3%, 1), opacity 0.5s ease-in;
  opacity: 1;
  scale: 1;
}

body.loading .caption {
  top: 50%;
  translate: -50% -50%;
}

body.init .caption {
  translate: -50% -50%;
  top: 50%;
  scale: 0.9;
  opacity: 0;
}